loci.plugins.config

## Class TextAreaWriter

- java.lang.Object
- - java.io.Writer
  - - loci.plugins.config.TextAreaWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public class TextAreaWriter
      extends java.io.Writer

  Writer implementation that writes to a JTextArea document.
  Author:
    Curtis Rueden ctrueden at wisc.edu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JTextArea` | `textArea` Text area component to which output should be written.

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAreaWriter(javax.swing.JTextArea textArea)` Constructs a new TextAreaWriter around the given text area component.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closing a TextAreaWriter does nothing.
    `void` | `flush()` Flushing a TextAreaWriter does nothing .
    `void` | `write(char[] cbuf, int off, int len)` Writes the given characters to the associated text area component.

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### textArea

          private javax.swing.JTextArea textArea

      Text area component to which output should be written.

  - ### Constructor Detail

    - #### TextAreaWriter

          public TextAreaWriter(javax.swing.JTextArea textArea)

      Constructs a new TextAreaWriter around the given text area component.

  - ### Method Detail

    - #### close

          public void close()

      Closing a TextAreaWriter does nothing.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Writer`

    - #### flush

          public void flush()

      Flushing a TextAreaWriter does nothing .
      Specified by:
        `flush` in interface `java.io.Flushable`
      Specified by:
        `flush` in class `java.io.Writer`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)

      Writes the given characters to the associated text area component.
      Specified by:
        `write` in class `java.io.Writer`

Copyright © 2026 Open Microscopy Environment